Bug 191336 - [maintainer update] biology/phred biology/phrap biology/consed update to consed 27.0 with staging support
[maintainer update] biology/phred biology/phrap biology/consed update to cons...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Only Me
Assigned To: Kurt Jaeger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-24 11:19 UTC by mzaki
Modified: 2014-08-23 18:06 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for biology/consed (158.10 KB, patch)
2014-06-24 11:20 UTC, mzaki
mzaki: maintainer‑approval+
Details | Diff
svn diff for biology/phrap (4.03 KB, patch)
2014-06-24 11:21 UTC, mzaki
mzaki: maintainer‑approval+
Details | Diff
svn diff for biology/phred (3.30 KB, patch)
2014-06-24 11:22 UTC, mzaki
mzaki: maintainer‑approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mzaki 2014-06-24 11:19:32 UTC
biology/consed: workbench for sequence assemblies
biology/phred: base caller with quality evaluation
biology/phrap: sequence assembler for shotgun sequencing

Although these programs are licensed freely for academic and nonprofit purposes,
users have to contact the authors to obtain the tarballs.
Comment 1 mzaki 2014-06-24 11:20:29 UTC
Created attachment 144093 [details]
svn diff for biology/consed

A       files/patch-installConsed.perl
D       files/patch-scripts_addReads2Consed.perl
D       files/patch-scripts_determineReadTypes.perl
A       files/pkg-message.in
A       pkg-plist
D       pkg-plist.examples
Comment 2 mzaki 2014-06-24 11:21:18 UTC
Created attachment 144094 [details]
svn diff for biology/phrap

A       pkg-plist
Comment 3 mzaki 2014-06-24 11:22:01 UTC
Created attachment 144095 [details]
svn diff for biology/phred

A       files/pkg-message.in
A       pkg-plist
Comment 4 John Marino freebsd_committer 2014-07-20 16:05:30 UTC
this should have been 3 separate PRs
Comment 5 Kurt Jaeger freebsd_committer 2014-07-20 17:49:49 UTC
The three distfiles are restricted in distribution. I'll try to get access and
test the patches, then commit the updates.
Comment 6 Kurt Jaeger freebsd_committer 2014-07-21 17:53:47 UTC
Got contact with the restricted distfile administration, update seems possible.

Waiting to receive the distfiles, then:

Tests with those distfiles.
Comment 7 Kurt Jaeger freebsd_committer 2014-07-29 05:39:23 UTC
Got the ACK to get the academic license.

Need to find license form, fill it out and submit it.
Comment 8 Kurt Jaeger freebsd_committer 2014-08-02 09:16:43 UTC
License agreement was sent to distsite, consed and phrap received, waiting
for phred.
Comment 9 John Marino freebsd_committer 2014-08-13 08:36:53 UTC
any news?

Kurt, if you at least commit consed, you get mzaki's ports off this list:
http://leaf.dragonflybsd.org/~marino/misc/screwed.maintained.txt
Comment 10 Kurt Jaeger freebsd_committer 2014-08-13 12:09:11 UTC
> Kurt, if you at least commit consed, you get mzaki's ports off this list:
> http://leaf.dragonflybsd.org/~marino/misc/screwed.maintained.txt

consed depends on phrab and phred, so we're in a bind here. I've poked
the distsite again.
Comment 11 John Marino freebsd_committer 2014-08-13 12:11:09 UTC
ah, right,  I read the report backwards.
Comment 12 Kurt Jaeger freebsd_committer 2014-08-13 16:19:39 UTC
got phred, will test with all patches.
Comment 13 commit-hook freebsd_committer 2014-08-23 18:05:31 UTC
A commit references this bug:

Author: pi
Date: Sat Aug 23 18:05:03 UTC 2014
New revision: 365765
URL: http://svnweb.freebsd.org/changeset/ports/365765

Log:
  update ports:
  	biology/phrab
  	biology/phred
  	biology/consed

  Although these programs are licensed freely for academic and nonprofit
  purposes, users have to contact the authors to obtain the tarballs.

  PR:		191336
  Submitted by:	mzaki@m.u-tokyo.ac.jp (maintainer)

Changes:
  head/biology/consed/Makefile
  head/biology/consed/distinfo
  head/biology/consed/files/patch-installConsed.perl
  head/biology/consed/files/patch-scripts_addReads2Consed.perl
  head/biology/consed/files/patch-scripts_determineReadTypes.perl
  head/biology/consed/files/patch-scripts_phredPhrap
  head/biology/consed/files/pkg-message.in
  head/biology/consed/pkg-plist.examples
  head/biology/phrap/Makefile
  head/biology/phrap/distinfo
  head/biology/phrap/files/patch-alignments.c
  head/biology/phrap/files/patch-analyze_splices.c
  head/biology/phrap/files/patch-anomalies.c
  head/biology/phrap/files/patch-calf_utils.c
  head/biology/phrap/files/patch-call_subs.c
  head/biology/phrap/files/patch-cand_pairs.c
  head/biology/phrap/files/patch-contigs.c
  head/biology/phrap/files/patch-db.c
  head/biology/phrap/files/patch-makefile
  head/biology/phrap/files/patch-names.c
  head/biology/phrap/files/patch-nodes.c
  head/biology/phrap/files/patch-pairs.c
  head/biology/phrap/files/patch-qual.c
  head/biology/phrap/files/patch-readin.c
  head/biology/phrap/files/patch-segments.c
  head/biology/phrap/files/patch-tig_node.c
  head/biology/phrap/files/patch-weibull.c
  head/biology/phrap/files/patch-words.c
  head/biology/phrap/pkg-plist
  head/biology/phred/Makefile
  head/biology/phred/files/pkg-message.in
Comment 14 Kurt Jaeger freebsd_committer 2014-08-23 18:06:39 UTC
Thank you for the patches, committed finally!